Bug 1441253 - Missing Refresh button in Automation/Ansible tabs
Summary: Missing Refresh button in Automation/Ansible tabs
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.8.0
Hardware: All
OS: All
urgent
urgent
Target Milestone: GA
: 5.8.0
Assignee: Milan Zázrivec
QA Contact: Dmitry Misharov
URL:
Whiteboard: ui:ansible
Depends On: 1436982
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-04-11 13:46 UTC by Satoe Imaishi
Modified: 2017-05-31 14:51 UTC (History)
9 users (show)

Fixed In Version: 5.8.0.10
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1436982
Environment:
Last Closed: 2017-05-31 14:51:42 UTC
Category: ---
Cloudforms Team: CFME Core
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:1367 normal SHIPPED_LIVE Moderate: CFME 5.8.0 security, bug, and enhancement update 2017-05-31 18:16:03 UTC

Comment 2 CFME Bot 2017-04-11 13:51:05 UTC
New commit detected on ManageIQ/manageiq/fine:
https://github.com/ManageIQ/manageiq/commit/99d409302ec3e2727b0389281948cfe681a7c744

commit 99d409302ec3e2727b0389281948cfe681a7c744
Author:     Martin Povolny <mpovolny@redhat.com>
AuthorDate: Mon Apr 10 20:17:43 2017 +0200
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Tue Apr 11 09:46:15 2017 -0400

    Merge pull request #14664 from mzazrivec/product_features_for_embedded_ansible_refresh
    
    Product features for embedded ansible refresh
    (cherry picked from commit b3eba21d84e53aae6703cb5b08432e3a3fc8d31e)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1441253

 db/fixtures/miq_product_features.yml | 13 +++++++++++++
 1 file changed, 13 insertions(+)

Comment 3 CFME Bot 2017-04-11 16:03:41 UTC
New commit detected on ManageIQ/manageiq-ui-classic/fine:
https://github.com/ManageIQ/manageiq-ui-classic/commit/26801bea969f889e4ed22b17b20fadbf2b22794f

commit 26801bea969f889e4ed22b17b20fadbf2b22794f
Author:     Martin Povolny <mpovolny@redhat.com>
AuthorDate: Mon Apr 10 20:29:45 2017 +0200
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Tue Apr 11 12:01:18 2017 -0400

    Merge pull request #934 from mzazrivec/refresh_for_embedded_ansible
    
    UI for Embedded Ansible Provider refresh
    (cherry picked from commit 548fed57e486eeef6eb576a67005714e138224e9)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1441253

 app/controllers/ansible_credential_controller.rb          |  6 ++++++
 app/controllers/ansible_repository_controller.rb          |  6 ++++++
 app/controllers/mixins/embedded_ansible_refresh_mixin.rb  | 15 +++++++++++++++
 .../toolbar/ansible_credentials_center.rb                 | 11 +++++++++++
 .../toolbar/ansible_repositories_center.rb                | 11 +++++++++++
 config/routes.rb                                          |  2 ++
 6 files changed, 51 insertions(+)
 create mode 100644 app/controllers/mixins/embedded_ansible_refresh_mixin.rb

Comment 4 Dmitry Misharov 2017-04-21 08:43:07 UTC
Verified in 5.8.0.11-beta2.20170418170914_a53d2a7. Embedded Ansible refresh has been added into toolbars for Ansible Credentials and Repositories.

Comment 6 errata-xmlrpc 2017-05-31 14:51:42 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:1367


Note You need to log in before you can comment on or make changes to this bug.